Subject: Re: What's cooking in git.git (Apr 2025, #07; Thu, 24)

From: Patrick Steinhardt <[email-masked]>
Date: Mon, 28 Apr 2025 09:33:28 +0200

On Fri, Apr 25, 2025 at 04:29:33AM -0700, Junio C Hamano wrote:
> * dd/meson-perl-custom-path (2025-04-24) 1 commit
>  - meson: allow customize perl installation path
> 
>  Meson-based build framework update.
> 
>  Comments?
>  source: <80[email-masked]>

I had two pedantic comments regarding formatting and wording, but other
than that this patch looks good to me. I expect a minor reroll.

> * es/meson-cleanup (2025-04-24) 6 commits
>  - meson: only check for missing networking syms on non-Windows; add compat impls
>  - meson: fix typo in function check that prevented checking for hstrerror
>  - meson: add a couple missing networking dependencies
>  - meson: do a full usage-based compile check for sysinfo
>  - meson: check for getpagesize before using it
>  - meson: simplify and parameterize various standard function checks
> 
>  Code clean-up for meson-based build infrastructure.
> 
>  Ready?
>  source: <[email-masked]>

Yeah, I'm happy with the rerolled version.

> * js/windows-arm64 (2025-04-23) 6 commits
>  - max_tree_depth: lower it for clangarm64 on Windows
>  - mingw(arm64): do move the `/etc/git*` location
>  - msvc: do handle builds on Windows/ARM64
>  - mingw: do not use nedmalloc on Windows/ARM64
>  - config.mak.uname: add support for clangarm64
>  - bswap.h: add support for built-in bswap functions
> 
>  Update to arm64 Windows port.
> 
>  Will merge to 'next'?
>  source: <[email-masked]>

The only comments I had on v1 have been addressed by Dscho, so this
looks good to me.

> * sj/string-list-typefix (2025-04-22) 5 commits
>  - u-string-list: move "remove duplicates" test to "u-string-list.c"
>  - u-string-list: move "filter string" test to "u-string-list.c"
>  - u-string-list: move "test_split_in_place" to "u-string-list.c"
>  - u-string-list: move "test_split" into "u-string-list.c"
>  - string-list: fix sign compare warnings
> 
>  Code and test clean-up around string-list API.
> 
>  Comments?
>  source: <aAetW0dan8S3Fljq@ArchLinux>

I have reviewed this series and expect another reroll.

> * ps/meson-build-perf-bench (2025-04-22) 5 commits
>  - meson: wire up benchmarking options
>  - meson: wire up benchmarks
>  - t/perf: fix benchmarks with out-of-tree builds
>  - t/perf: use configured PERL_PATH
>  - t/perf: fix benchmarks with alternate repo formats
> 
>  The build procedure based on Meson learned to drive the
>  benchmarking tests.
> 
>  Comments?
>  source: <[email-masked]>

I have another minor clarification for our Meson usage queued locally.
Let me just flush out this revision and then this should hopefully be
ready.

> * kn/meson-hdr-check (2025-04-23) 7 commits
>  - makefile/meson: add 'check-headers' as alias for 'hdr-check'
>  - meson: add support for 'hdr-check'
>  - meson: rename 'third_party_sources' to 'third_party_excludes'
>  - meson: move headers definition from 'contrib/coccinelle'
>  - coccinelle: meson: rename variables to be more specific
>  - ci/github: install git before checking out the repository
>  - Merge branch 'es/meson-build-skip-coccinelle' into kn/meson-hdr-check
> 
>  Add an equivalent to "make hdr-check" target to meson based builds.
> 
>  Will merge to 'next'?
>  source: <[email-masked]>

I'm happy with this version.

Patrick